package com.yem.wm.bd.tandardcon.op;

import com.yem.wm.bd.tandardcon.validator.TandardconSubmitValidator;
import com.yem.wm.im.giftapply.validator.ReceiveSubmitOpValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

/**
 * @author power
 * @ClassName
 * @description: 标准提成 提交 服务插件
 * @date 2023/8/21
 */
public class TandardconSubmitOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        e.getFieldKeys().add("yem_bd_tandardcon_a");
        e.getFieldKeys().add("yem_typeclassify");
        e.getFieldKeys().add("yem_salesvolumestart");
        e.getFieldKeys().add("yem_salesvolumend");

    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        e.addValidator(new TandardconSubmitValidator());
    }


}
